 
#include <err.h>

#include <kaboutdata.h>
#include <qtimer.h>
#include <kcmdlineargs.h>
#include <kuniqueapplication.h>
#include <kstandarddirs.h>
#include <qtranslator.h>
#include <qtextcodec.h>
#include <QLocale>

#include <NetworkTray.h>

static const char description[] = I18N_NOOP("PC-BSD Network Tray Icon");

int  main(int argc, char *argv[]) {


   KAboutData aboutData("NetworkTray", 0, ki18n("NetworkTray"),
                            "1.0", ki18n(description),
                            KAboutData::License_BSD,
                            ki18n("(c) 2008, Kris Moore(c)"));

   aboutData.addAuthor(ki18n("Kris Moore"), ki18n("Current maintainer"), "kris@pcbsd.org");

   KCmdLineArgs::init(argc, argv, &aboutData);

   KCmdLineOptions options;
   options.add("+<device>", ki18n("Start the tray application on the specified device"));


    // Tell which options are supported
   KCmdLineArgs::addCmdLineOptions( options );

   KApplication a;

   NetworkTray tray;

   QTranslator translator( 0 );
   QLocale mylocale(0);
   translator.load( "NetworkTray_" + mylocale.language(), KStandardDirs::locate("data", "pc-netmanager/locale/") );
   a.installTranslator( &translator );


   //a.setMainWidget(tray.contextMenu());
   a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));


    if ( argc == 2)
    {
        QString Device = argv[1];
        tray.programInit(Device);
	tray.show();
    } else {
       exit(1);
    }
 

   return  a.exec();
}
